Subject: Re: bug#15552: 24.3.50; epa-file-cache-passphrase-for-symmetric-encryption not respected with GnuPG 2.x

From: Stefan Monnier <[email-masked]>
Date: Mon, 07 Oct 2013 23:14:41 -0400

>> 1. On the local system, install GnuPG 2.x and don't run the gpg-agent
>> 2. Set epa-file-cache-passphrase-for-symmetric-encryption to t
>> 3. Open file.gpg: password dialog pops up
>> 4. close file.gpg
>> 5. Open file.gpg: password dialog pops up again
>> Step (5) should not prompt.  It works properly with GnuPG 1.x.
> That's intended behavior.

Could you give the rationale for it?

> It is documented and I stated a number of times the reason and why
> I chose such a lengthy name of the variable and the default is nil:

I understand why it is nil by default, but if the user sets it to t,
presumably he doesn't care about the fact that storing the password in
Emacs heap is insecure.  So why does 5 prompt the user, even tho he
specifically asked for Emacs to cache the password?

        Stefan